Bug 187075 - man 2 read doesn't mention ERESTARTSYS
Summary: man 2 read doesn't mention ERESTARTSYS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FAST4.5APPROVED
TreeView+ depends on / blocked
 
Reported: 2006-03-28 09:45 UTC by Matthew Booth
Modified: 2010-04-23 08:06 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0647
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 04:44:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0647 normal SHIPPED_LIVE man-pages bug fix update 2007-05-01 14:31:32 UTC

Description Matthew Booth 2006-03-28 09:45:03 UTC
Description of problem:

read(2) can return the error ERESTARTSYS if the read is interrupted by a trace,
eg strace or attaching gdb. ERESTARTSYS is mentioned in the man page for
accept(2) in this context, but not for read(2). I believe wait4(2) can also
return ERESTARTSYS.

Version-Release number of selected component (if applicable):

man-pages-1.67-7.EL4.noarch

Comment 7 Red Hat Bugzilla 2006-09-14 04:44:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0647.html


Comment 8 Arenas Belon, Carlo Marcelo 2010-04-23 08:06:34 UTC
read(2) in F13 (man-pages-3.23-6) still doesn't show a reference to ERESTARTSYS, so this patch was probably not upstreamed and therefore still affects other versions of RHEL and Fedora.


Note You need to log in before you can comment on or make changes to this bug.